<?php

use App\Http\Controllers\PdfController;
use App\Http\Controllers\UsersController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/logout', [\App\Http\Controllers\Auth\LogoutController::class, 'logout'])->name('logout');
Route::post('/login', [\App\Http\Controllers\Auth\LoginController::class, 'login'])->name('login');
Route::get('/login', function () {
    if (\Illuminate\Support\Facades\Auth::user()) {
        return redirect('/');
    }
    return view('app');
});

Route::post('/newpassword', [UsersController::class, 'storePassword'])->name('password_reset.send');
Route::get('/newpassword/{id}/{reset_token}', [UsersController::class, 'createPassword'])->name('password_reset');

Route::middleware('auth:sanctum')->prefix('/pdf')->group(function () {
    Route::get('/planAction/{organization_id}', [PdfController::class, 'ActionPlanPdf'])->name('pdf.plan_action');
    Route::get('/politiqueSecurite/{organization_id}', [PdfController::class, 'PolitiqueSecuritePdf'])->name('pdf.politique_securite');
    Route::get('/dossierCyberSecurite/{organization_id}', [PdfController::class, 'DossierCyberSecuritePdf'])->name('pdf.dossier_cyber_securite');
});

Route::middleware('auth:sanctum')->get('/{any}', function () {
    return view('app');
})->where('any', '^(?!storage_).+');

Route::get('/', function () {
    if (!Auth::user()) {
        return redirect('/login');
    }

    return view('app');
})->name('home');
